//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "Main.h"
#include "CalDll.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "ccalendr"
#pragma link "cspin"
#pragma resource "*.dfm"
TCal_Example *Cal_Example;
//---------------------------------------------------------------------------
__fastcall TCal_Example::TCal_Example(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TCal_Example::Conv_ButClick(TObject *Sender)
{
 TKalend Calendar = TKalend(Year->Value,Month->Value,Day->Day);
 // Julian Number
 Calendar.ToJulian();
 DJulian->Caption = "Julian Number : "+FloatToStr(Calendar.JDN);
 // Position of the day
 Calendar.Count_Days_To_From();
 To_Day->Caption = "Days from the begining of year : "+IntToStr(Calendar.To_Day);
 From_Day->Caption = "Days to the end of year : "+IntToStr(Calendar.From_Day);
 // Leap year
 Calendar.Leap_Years();
 if (Calendar.LEAP_YEAR == true)
    Leap->Caption = "The "+IntToStr(Year->Value)+" is a leap year";
    else
    Leap->Caption = "The "+IntToStr(Year->Value)+" is not a leap year";
 Calendar.Day_Of_Year();
 DoY->Caption = "Number of day : "+IntToStr(Calendar.DAY_OF_YEAR);   
 //calendar routines
 //islamic calendar
 Calendar.ToIslam();
 Islam->Caption = "Islam date : "
        +IntToStr(Calendar.ISLAM_YEAR)+" "+IntToStr(Calendar.ISLAM_MONTH)
        +" ("+Calendar.ISLAM_MONTH_NAME+") "+Calendar.ISLAM_DAY;
 //hebrew calendar
 Calendar.ToHebr();
 Hebr->Caption = "Hebrew date : "
        +IntToStr(Calendar.HEB_YEAR)+" "+Calendar.HEB_MONTH+" "+IntToStr(Calendar.HEB_DAY);
 //egyptian calendar
 Calendar.ToEgipt();
 Egypt->Caption = "Egyptian date : "
        +IntToStr(Calendar.EGIPT_YEAR)+" "+Calendar.EGIPT_MONTH_NAME+" "+IntToStr(Calendar.EGIPT_DAY);
 //etiopian calendar
 Calendar.ToEtiopia();
 Etiopian->Caption = "Etiopian date : "
        +IntToStr(Calendar.ETIOPIA_YEAR)+" "+Calendar.ETIOPIA_MONTH_NAME+" "+IntToStr(Calendar.ETIOPIA_DAY);
 //aztec calendar
 Calendar.ToAztec();
 A_Year->Caption = "Aztec year : " + Calendar.Aztec_Year;
 A_Day->Caption = "Aztec year : " + Calendar.Aztec_Day;
 //tybet calendar
 Calendar.ToTybet();
 Tybet->Caption = "Tybet year : "+Calendar.Tybet_Year;
}
//---------------------------------------------------------------------------

void __fastcall TCal_Example::YearChange(TObject *Sender)
{
 Day->Year = Year->Value;
}
//---------------------------------------------------------------------------

void __fastcall TCal_Example::MonthChange(TObject *Sender)
{
 Day->Month = Month->Value;
}
//---------------------------------------------------------------------------

void __fastcall TCal_Example::FormCreate(TObject *Sender)
{
 TDateTime ToDay = Date();
 unsigned short _year,_month,_day;
 DecodeDate(ToDay,_year,_month,_day);
 Day->Year = _year;
 Day->Month = _month;
 Day->Day = _day;
 Year->Value = _year;
 Month->Value = _month;
}
//---------------------------------------------------------------------------

